# Interface goog.structs.Collection.`<T>`

code »

An interface for a collection of values.

Show:Public Protected Private

## Instance Methods

code »add ( value )

Parameters

value: `T`
  Value to add to the collection.

code »contains ( value ) ⇒ `boolean`

Parameters

value: `T`
  Value to find in the collection.

Returns

Whether the collection contains the specified value.

code »getCount ( ) ⇒ `number`

Returns

The number of values stored in the collection.

code »remove ( value )

Parameters

value: `T`
  Value to remove from the collection.